Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Kan niet verbinden met CUPS  (gelezen 3870 keer)

Offline tomatito

  • Lid
  • Steunpunt: Nee
Kan niet verbinden met CUPS
« Gepost op: 2016/08/16, 05:38:48 »
Ik heb met problemen met het installeren van CUPS.

sudo apt-get install cups cups-browsed cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-driver-gutenprint cups-filters cups-filters-core-drivers cups-ppdc cups-server-common
Als ik dan naar de locatie van CUPS ga: http://localhost:631

Krijg ik deze melding:
Citaat
Unable to connect

Firefox can’t establish a connection to the server at localhost:631.

Ik heb geen flauw idee waar ik moet beginnen met zoeken naar de eventuele fout.

Iemand een tip/duwtje?

Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #1 Gepost op: 2016/08/16, 08:36:51 »
Wat geeftsudo service cups status

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #2 Gepost op: 2016/08/16, 12:38:17 »
cups start/running, process 2238
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #3 Gepost op: 2016/08/16, 19:04:33 »
Is dat alles?

Welke Linux omgeving gebruik je?

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #4 Gepost op: 2016/08/16, 23:18:03 »
Citaat
Is dat alles?
Ja! Ik heb mijn computer vermanend toegesproken  :police: ... maar deze wilde niet meer los geven.

Ik gebruik Elementary OS Freya (64 bit). Is gebaseerd op Ubuntu 14.04. Praktisch hetzelfde.

Nog een keer gedaan en ik krijg nu deze output: cups start/running, process 2296
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #5 Gepost op: 2016/08/16, 23:36:59 »
Kijk eens of je geen relevante berichten hebt in /var/log/cups/access_log en error_log

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #6 Gepost op: 2016/08/18, 13:23:56 »
error_log:
W [18/Aug/2016:13:00:31 +0200] Duplicate listen address "/var/run/cups/cups.sock" ignored.
E [18/Aug/2016:13:00:31 +0200] Unknown directive JobPrivateAccess on line 83 of /etc/cups/cupsd.conf.
E [18/Aug/2016:13:00:31 +0200] Unknown directive JobPrivateValues on line 84 of /etc/cups/cupsd.conf.
E [18/Aug/2016:13:00:31 +0200] Unknown directive SubscriptionPrivateAccess on line 85 of /etc/cups/cupsd.conf.
E [18/Aug/2016:13:00:31 +0200] Unknown directive SubscriptionPrivateValues on line 86 of /etc/cups/cupsd.conf.

page_log en access_log zijn helemaal leeg.

/etc/cups/cupsd.conf. > Line 83 t/m line 86: JobPrivateAccess default
JobPrivateValues default
SubscriptionPrivateAccess default
SubscriptionPrivateValues default

Heel veel verder (Google) kom ik hier ook niet mee  ???
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #7 Gepost op: 2016/08/18, 13:45:33 »
Wat geeftdpkg -s cups

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #8 Gepost op: 2016/08/19, 01:19:37 »
Package: cups
Status: install ok installed
Priority: optional
Section: net
Installed-Size: 833
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: amd64
Multi-Arch: foreign
Version: 1.7.2-0ubuntu1.7
Replaces: ghostscript-cups (<< 9.02~)
Depends: libavahi-client3 (>= 0.6.16), libavahi-common3 (>= 0.6.16), libc6 (>= 2.16), libcups2 (= 1.7.2-0ubuntu1.7), libcupscgi1 (>= 1.4.2), libcupsimage2 (>= 1.4.0), libcupsmime1 (>= 1.4.0), libcupsppdc1 (>= 1.4.0), libgcc1 (>= 1:4.1.1), libstdc++6 (>= 4.1.1), libusb-1.0-0 (>= 2:1.0.8), debconf (>= 1.2.9) | debconf-2.0, libc-bin (>= 2.13), cups-core-drivers (>= 1.7.2-0ubuntu1.7), cups-daemon (>= 1.7.2-0ubuntu1.7), poppler-utils (>= 0.12), procps, ghostscript (>= 9.02~), lsb-base (>= 3.2-14~), cups-common (>= 1.7.2-0ubuntu1.7), cups-server-common (>= 1.7.2-0ubuntu1.7), cups-client (>= 1.7.2-0ubuntu1.7), cups-ppdc, cups-filters (>= 1.0.24-3~)
Recommends: avahi-daemon, colord, cups-filters (>= 1.0.42) | foomatic-filters (>= 4.0), printer-driver-gutenprint, cups-filters (>= 1.0.36) | ghostscript-cups (>= 9.02~)
Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db, printer-driver-hpcups, hplip, cups-pdf, udev, smbclient
Breaks: foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Conffiles:
 /etc/cups/snmp.conf 55baa060a50f48f9dbb99c6eb60dc04c
Description: Common UNIX Printing System(tm) - PPD/driver support, web interface
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for using printer
 drivers.
Homepage: http://www.cups.org
Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>

Zegt jou dit iets? Ik kan er zelf geen bruikbare informatie uithalen.
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #9 Gepost op: 2016/08/19, 09:21:45 »
Geeft aan welke versie van cups draait.

Ook van belang: ben je member van lpadmin? De opdracht id geeft daar uitsluitsel over.

Offline joop905

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #10 Gepost op: 2016/08/19, 16:35:57 »
Probeer dit eens:

sudo cp /etc/cups/cupsd.conf.default /etc/cups/cupsd.conf
sudo /etc/init.d/cups restart

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #11 Gepost op: 2016/08/19, 23:40:20 »
sudo cp /etc/cups/cupsd.conf.default /etc/cups/cupsd.conf
sudo /etc/init.d/cups restart

Geeft...

cups stop/waiting
cups start/running, process 3043

De pagina van CUPS ( http://localhost:631) nog steeds: unable to connect.
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #12 Gepost op: 2016/08/20, 00:22:02 »
ss -lpn | grep 631
cat /etc/cups/client.conf

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #13 Gepost op: 2016/08/21, 19:02:21 »
cat /etc/cups/client.conf
Geeft...

cat: /etc/cups/client.conf: Bestand of map bestaat niet
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #14 Gepost op: 2016/08/21, 22:50:22 »
Dan is cups niet correct geïnstalleerd. Eenvoudigste is waarschijnlijksudo apt install --reinstall cups
Edit: mijn fout. Vorige opdracht moet zijn cat /etc/cups/cupsd.conf
« Laatst bewerkt op: 2016/08/21, 22:52:42 door Nero »

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #15 Gepost op: 2016/08/22, 19:30:13 »
Voordat ik een reinstall doe. Eerst nog even de uitkomst van:

sudo cat /etc/cups/cupsd.conf
Geeft...

LogLevel warn
MaxLogSize 0
Listen /var/run/cups/cups.sock
Listen /var/run/cups/cups.sock
Browsing Off
BrowseLocalProtocols dnssd
DefaultAuthType Basic
WebInterface Yes
<Location />
  Order allow,deny
</Location>
<Location /admin>
  Order allow,deny
</Location>
<Location /admin/conf>
  AuthType Default
  Require user @SYSTEM
  Order allow,deny
</Location>
<Policy default>
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default CUPS-Get-Devices>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
<Policy authenticated>
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    AuthType Default
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
JobPrivateAccess default
JobPrivateValues default
SubscriptionPrivateAccess default
SubscriptionPrivateValues default

Toch een  opnieuw installeren?
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #16 Gepost op: 2016/08/22, 19:53:40 »
Probeer eerst eens met bijgevoegde config. Plaats deze in /etc/cups. Daarnasudo mv /etc/cups/cupsd.conf /etc/cups/cupsd.conf.orig
sudo chown root:root /etc/cups/cupsd.txt
sudo mv /etc/cups/cupsd.txt /etc/cups/cupsd.conf
sudo service cups restart
Lukt het nu om via de browser naar cups te gaan?

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #17 Gepost op: 2016/08/23, 00:38:16 »
Wat een held!

Het is al laat... ik kijk er z.s.m even beter naar maar voor nu... ik kan Cups (http://localhost:631/) openen  :D
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #18 Gepost op: 2016/08/23, 06:47:23 »
Toppie!

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #19 Gepost op: 2016/08/24, 23:41:36 »
Helaas  ;) Als ik een printopdracht geef dan krijg ik deze melding: user/lib/cups/filter/hpcups not available

Veel te blij dat Cups in ieder geval werkt... wil ik nu niet van alles gaan proberen op goed geluk (is een beetje mijn stijl  =D)...

Ik vond het volgende: http://hplipopensource.com/hplip-web/install/install/index.html

Gaat dit mijn probleem oplossen?
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #20 Gepost op: 2016/08/25, 12:40:18 »
Dat laat ik aan anderen over. Ik heb geen ervaring met HP printers.

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #21 Gepost op: 2016/08/25, 15:45:40 »
Begrijpelijk. Bedankt voor je hulp in ieder geval.
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #22 Gepost op: 2016/08/25, 22:11:47 »
HPlip zit gewoon in de repro. tomatito.  Ik zou hem dus  installeren via synaptic. Of herinstalleren.

groet,

Just
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine November 2017

Offline tomatito

  • Lid
  • Steunpunt: Nee
Re: Kan niet verbinden met CUPS
« Reactie #23 Gepost op: 2016/08/26, 01:45:14 »
Citaat
HPlip zit gewoon in de repro. tomatito.  Ik zou hem dus  installeren via synaptic. Of herinstalleren.

Weet je dat zeker? HPLIP en hpcups waren al geinstalleerd. Ik heb dus een herinstallatie gedaan... ik ontvang echter nog steeds dezelfde melding (zie afbeelding)



Terwijl als ik dit pad volg (usr/lip/cups/filter) het (uitvoerbaar) bestand hpcups wel aanwezig is.
« Laatst bewerkt op: 2016/08/26, 01:49:09 door tomatito »
Dual boot: Elementary OS 0.3.2 Freya (64-bit) built on UBUNTU 14.04  |  Windows 10

Intel Skylake i3 6100, 8 GB DDR4, nVidia Geforce GTX 750 ti (2GB)

Offline jvecht

  • Lid
    • Just Vecht
  • Steunpunt: Ja
Re: Kan niet verbinden met CUPS
« Reactie #24 Gepost op: 2016/08/26, 10:36:58 »
De Boef!

Ik ben eens gaan googlen op die hpcups. Zat meldingen te vinden. Ik vond deze nog het meest de moeite om te volgen.

Doe deze herinstallaties:

sudo apt-get update

sudo apt-get install --reinstall hpijs-ppds

sudo apt-get install --reinstall printer-driver-hpijs

sudo apt-get install --reinstall printer-driver-hpcups

Verwijder dan je laserprinter compleet, usb en netsnoer eraf, rebooten.

Daarna de printer toevoegen

Noot: tikkie maniakaal natuurlijk. Die hpijs installatie is voor inktjets en je laserprinter verwijderen plus dan ook nog alle kabels los EN rebooten lijkt me ook wat te drastisch. Toch maar doen, vrij kleine moeite!

Mooie printer trouwens!

Succes en groet. Ik ben benieuwd!

Just
GIMP bundel 2017  25 cursussen met geweldig mooi oefenmateriaal. Lekker lezen of er wat van opsteken!
  Boekje "Werken met Xubuntu" 4000+ downloads!
     Het Helpmij Magazine November 2017